<?php

namespace Drupal\entity_extender\Entity\Handler\Node;

use Drupal\entity_extender\Entity\Handler\Entity\EntityStorageHandlerTrait;
use Drupal\node\NodeInterface;
use Drupal\node\NodeStorage;
use Drupal\entity_extender\Plugin\EntityExtender\Node\NodeSaveInterface;

/**
 * The extended storage handler for nodes.
 *
 * @method NodeSaveInterface getExtender(string $entity_type, string $bundle, NodeInterface $entity)
 *
 * @see entity_extender_entity_type_alter()
 */
class NodeStorageHandler extends NodeStorage {

  use EntityStorageHandlerTrait;

  protected const SPECIFIC_INTERFACE = NodeSaveInterface::class;

}
