<?php

namespace Drupal\entity_extender\Entity\Handler\Node;

use Drupal\entity_extender\Entity\Handler\Entity\EntityViewHandlerTrait;
use Drupal\node\NodeInterface;
use Drupal\node\NodeViewBuilder;
use Drupal\entity_extender\Plugin\EntityExtender\Node\NodeViewInterface;

/**
 * The extended view builder for nodes.
 *
 * @method NodeViewInterface getExtender(string $entity_type, string $bundle, NodeInterface $entity)
 *
 * @see entity_extender_entity_type_alter()
 */
class NodeViewHandler extends NodeViewBuilder {

  use EntityViewHandlerTrait;

  protected const SPECIFIC_INTERFACE = NodeViewInterface::class;

}
