<?php

namespace Drupal\entity_extender\Entity\Handler\User;

use Drupal\entity_extender\Entity\Handler\Entity\EntityStorageHandlerTrait;
use Drupal\entity_extender\Plugin\EntityExtender\User\UserSaveInterface;
use Drupal\user\UserInterface;
use Drupal\user\UserStorage;

/**
 * The extended storage handler for users.
 *
 * @method UserSaveInterface getExtender(string $entity_type, string $bundle, UserInterface $user)
 *
 * @see entity_extender_entity_type_alter()
 */
class UserStorageHandler extends UserStorage {

  use EntityStorageHandlerTrait;

  protected const SPECIFIC_INTERFACE = UserSaveInterface::class;

}
