<?php

namespace Drupal\entity_extender\Entity\Handler\User;

use Drupal\Core\Entity\EntityViewBuilder;
use Drupal\entity_extender\Entity\Handler\Entity\EntityViewHandlerTrait;
use Drupal\entity_extender\Plugin\EntityExtender\User\UserViewInterface;
use Drupal\user\UserInterface;

/**
 * The extended view builder for users.
 *
 * @method UserViewInterface getExtender(string $entity_type, string $bundle, UserInterface $entity)
 *
 * @see entity_extender_entity_type_alter()
 */
class UserViewHandler extends EntityViewBuilder {

  use EntityViewHandlerTrait;

  protected const SPECIFIC_INTERFACE = UserViewInterface::class;

}
